//+------------------------------------------------------------------+ 
//|   TRO_SignalBender                                               | 
//|                                                                  | 
//|   Copyright  2010, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//| Use http://therumpledone.mbtrading.com/forex.aspx as your forex  |  
//|  broker ...tell them therumpledone sent you!                     |  
//+------------------------------------------------------------------+ 


#property  copyright "Copyright  2010, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 
 

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 DarkBlue


extern bool Sound.Alert = true ;
extern bool Show.Message = true ;

extern int myCorner= 1;
extern int x.offset= 80 ; 
extern int y.offset= 10 ; 


extern string myFont       = "Arial Bold" ;
extern int    myFontSize   = 20 ;

extern int myStyle= DRAW_HISTOGRAM;

//---- input parameters



//---- buffers
double PHLBuffer[];
double HPLBuffer[];

double H,L,PH,PL;


int    digits2, digits, period, win , xInc, yInc, xPos, yPos  ; 
string short_name;
 
string symbol, tChartPeriod, tAlert, tObjName06 ; 
double   point ;    
color colorPrice ;
datetime Trigger ;


//+------------------------------------------------------------------+
int init()
  {
//---- indicators

   period       =  Period() ;  
   tChartPeriod =  TimeFrameToString(period) ;
   symbol       =  Symbol() ;
   digits       =  Digits ;   
   point        =  Point ;

   if(digits == 5 || digits == 3) { digits = digits - 1 ; point = point * 10 ; } 
  

   SetLevelStyle(STYLE_DOT, 1, DimGray) ;
   SetLevelValue(1,50);
   SetLevelValue(2,20);   
   SetLevelValue(3,10);
   SetLevelValue(4,0);
   SetLevelValue(5,-10);   
   SetLevelValue(6,-20);   
   SetLevelValue(7,-50); 

   SetIndexStyle(0,myStyle, 0, 3);
   SetIndexBuffer(0,PHLBuffer);
   SetIndexStyle(1,myStyle, 0, 2);
   SetIndexBuffer(1,HPLBuffer);
   
   SetIndexLabel(0, "PHL");
   SetIndexLabel(1, "HPL");

   short_name = "TROSB";

   IndicatorShortName (short_name);

      deinit() ;
//----
   return(0);
  }
//+------------------------------------------------------------------+

void ObDeleteObjectsByPrefix(string Prefix)
  {
   int L = StringLen(Prefix);
   int i = 0; 
   while(i < ObjectsTotal())
     {
       string ObjName = ObjectName(i);
       if(StringSubstr(ObjName, 0, L) != Prefix) 
         { 
           i++; 
           continue;
         }
       ObjectDelete(ObjName);
     }
  }  
//+------------------------------------------------------------------+
int deinit()
  {
       
   ObDeleteObjectsByPrefix("TROSB"); 
   
   TRO() ;   
   return(0);
  }
//+------------------------------------------------------------------+
int start()
  {
  
  
   int i, limit, counted_bars;

   counted_bars = IndicatorCounted();
   //---- check for possible errors
   if (counted_bars<0) return(-1);
   //---- last counted bar will be recounted
   if (counted_bars>0) counted_bars--;
   limit = Bars - counted_bars;
   
   for (i = limit; i >= 0; i--)
   {
      H  = iHigh(symbol,period,i);
      PH = iHigh(symbol,period,i+1);
      L  = iLow(symbol,period,i);
      PL = iLow(symbol,period,i+1);      
      
      HPLBuffer[i] = (H - PL) / point ;
      PHLBuffer[i] = (PH - L) / point ;
   }


   return(0);
  }

      
//+------------------------------------------------------------------+ 

string TimeFrameToString(int tf)
{
   string tfs;
   switch(tf) {
      case PERIOD_M1:  tfs="M1"  ; break;
      case PERIOD_M5:  tfs="M5"  ; break;
      case PERIOD_M15: tfs="M15" ; break;
      case PERIOD_M30: tfs="M30" ; break;
      case PERIOD_H1:  tfs="H1"  ; break;
      case PERIOD_H4:  tfs="H4"  ; break;
      case PERIOD_D1:  tfs="D1"  ; break;
      case PERIOD_W1:  tfs="W1"  ; break;
      case PERIOD_MN1: tfs="MN";
   }
   return(tfs);
}


//+------------------------------------------------------------------+  
void TRO()
{   
   
   string tObjName03    = "TROTAG"  ;  
   ObjectCreate(tObjName03, OBJ_LABEL, 0, 0, 0);//HiLow LABEL
   ObjectSetText(tObjName03, CharToStr(78) , 12 ,  "Wingdings",  DimGray );
   ObjectSet(tObjName03, OBJPROP_CORNER, 3);
   ObjectSet(tObjName03, OBJPROP_XDISTANCE, 5 );
   ObjectSet(tObjName03, OBJPROP_YDISTANCE, 5 );  
}
//+--------- TRO MODIFICATION ---------------------------------------+   
/*



*/

